/*
 * Harbor API
 * These APIs provide services for manipulating Harbor project.
 *
 * OpenAPI spec version: 2.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.19
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'));
  } else {
    // Browser globals (root is window)
    if (!root.HarborApi) {
      root.HarborApi = {};
    }
    root.HarborApi.LdapFailedImportUsers = factory(root.HarborApi.ApiClient);
  }
}(this, function(ApiClient) {
  'use strict';

  /**
   * The LdapFailedImportUsers model module.
   * @module model/LdapFailedImportUsers
   * @version 2.0
   */

  /**
   * Constructs a new <code>LdapFailedImportUsers</code>.
   * @alias module:model/LdapFailedImportUsers
   * @class
   */
  var exports = function() {
  };

  /**
   * Constructs a <code>LdapFailedImportUsers</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/LdapFailedImportUsers} obj Optional instance to populate.
   * @return {module:model/LdapFailedImportUsers} The populated <code>LdapFailedImportUsers</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();
      if (data.hasOwnProperty('ldap_uid'))
        obj.ldapUid = ApiClient.convertToType(data['ldap_uid'], 'String');
      if (data.hasOwnProperty('error'))
        obj.error = ApiClient.convertToType(data['error'], 'String');
    }
    return obj;
  }

  /**
   * the uid can't add to system.
   * @member {String} ldapUid
   */
  exports.prototype.ldapUid = undefined;

  /**
   * fail reason.
   * @member {String} error
   */
  exports.prototype.error = undefined;


  return exports;

}));
